# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-29 14:54
from __future__ import unicode_literals

from decimal import Decimal
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CreditRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('document_number', models.DecimalField(decimal_places=0, max_digits=8, validators=[django.core.validators.MinValueValidator(Decimal('1000000'))], verbose_name='DNI')),
                ('name', models.CharField(max_length=256, verbose_name='Nombre')),
                ('surname', models.CharField(max_length=256, verbose_name='Apellido')),
                ('gender', models.CharField(choices=[('M', 'Masculino'), ('F', 'Femenino')], default='M', max_length=1, verbose_name='Genero')),
                ('email', models.EmailField(max_length=254)),
                ('ammount', models.DecimalField(decimal_places=2, max_digits=9, validators=[django.core.validators.MinValueValidator(Decimal('0'))], verbose_name='Monto')),
                ('result', models.PositiveSmallIntegerField(choices=[(0, 'Solicitud pendiente'), (1, 'Solicitud Aprobada'), (2, 'Solucitud Desaprobada'), (3, 'Los datos de la solicitud son incorrectos'), (4, 'Hubo un error al analizar la solicitud')], default=0, verbose_name='Resultado')),
            ],
        ),
    ]
